Subject: Re: [Bitcoin-development] Blocking uneconomical UTXO creation

From: Jorge Timón <[email-masked]>
Date: Mon, 11 Mar 2013 19:59:32 +0100

That solution seems good enough to me.
Smartcoin users would just need to move their assets before 10 years,
totally acceptable.
And regular users don't need to think about it since they're probably
always sending more than they pay in fees.

On 3/11/13, Benjamin Lindner <[email-masked]> wrote:
>
> On Mar 11, 2013, at 12:54 PM, Mike Hearn <[email-masked]> wrote:
>> With regards to trying to minimize the size of the UTXO set, this
>> again feels like a solution in search of a problem. Even with SD
>> abusing micropayments as messages, it's only a few hundred megabytes
>> today. That fits in RAM, let alone disk. If one day people do get
>
> The problem of UTXO in principal scales with the block size limit. Thus it
> should be fixed BEFORE you consider increasing the block size limit.
> Otherwise you just kick the can down the road, making it bigger.
>
>> concerned about the working set size, miners can independently set
>> their own policies for what they confirm, for instance maybe they just
>
> Problem is the skewed incentive structure. Rational miners will always
> include dust output with fees, because the eternal cost of UTXO is payed by
> the network and future miners, not the current/individual miner.
>
> On Mar 11, 2013, at 7:01 AM, 	Jorge Timón <[email-masked]> wrote:
>
>> On 3/10/13, Peter Todd <[email-masked]> wrote:
>>> It's also been suggested multiple times to make transaction outputs with
>>> a value less than the transaction fee non-standard, either with a fixed
>>> constant or by some sort of measurement.
>>
>> As said on the bitcointalk thread, I think this is the wrong approach.
>> This way you effectively disable legitimate use cases for payments
>> that "are worth" less than the fees like smart property/colored coins.
>
> this.
>
>> Just activate a non-proportional
>> demurrage (well, I won't complain if you just turn bitcoin into
>> freicoin, just think that non-proportional would be more acceptable by
>> most bitcoiners) that incentives old transactions to be moved
>
> You could delegate the decision to the user with a rule like:
>
> if (output<fee):
>  limit lifetime of the UTXO to 10 years.
> if (output>fee):
>  unlimited lifetime
>
> Then, when a user creates a transaction, he can decide whether he wants to
> have limited or unlimited lifetime. The rationale for limiting the lifetime
> for (output<fee) transactions is that they may have no inherent economic
> incentive to be spend.
>
>
> ------------------------------------------------------------------------------
> Symantec Endpoint Protection 12 positioned as A LEADER in The Forrester
> Wave(TM): Endpoint Security, Q1 2013 and "remains a good choice" in the
> endpoint security space. For insight on selecting the right partner to
> tackle endpoint security challenges, access the full report.
> http://p.sf.net/sfu/symantec-dev2dev
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>

-- 
Jorge Timón

http://freico.in/
http://archive.ripple-project.org/